package com.aitrainer.api.controller

import com.aitrainer.api.model.ExerciseTree
import com.aitrainer.api.repository.ExerciseTreeParentsRepository
import com.aitrainer.api.repository.ExerciseTreeRepository
import org.slf4j.LoggerFactory
import org.springframework.http.ResponseEntity
import org.springframework.web.bind.annotation.GetMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

@RestController
@RequestMapping("/api")
class ExerciseTreeController (private val exerciseTreeRepository: ExerciseTreeRepository) {
    private val logger = LoggerFactory.getLogger(javaClass)

    @GetMapping("/exercise_tree")
    fun getAllActiveMenu(): ResponseEntity<List<ExerciseTree>> {
        val list: List<ExerciseTree> = exerciseTreeRepository.getActiveMenu()
        logger.info(" -- Get All active Exercise Tree menu.")
        return if (list.isEmpty()) ResponseEntity.notFound().build() else
            ResponseEntity.ok().body(list)
    }
}