package com.aitrainer.api.model

import com.fasterxml.jackson.annotation.JsonIgnore
import com.google.gson.annotations.Expose
import kotlinx.serialization.Contextual
import jakarta.persistence.*
import javax.validation.constraints.NotBlank

@Entity
data class ExerciseDeviceTranslation (
        @Expose @Id @GeneratedValue(strategy = GenerationType.IDENTITY)  val translationId: Long = 0,

        @Expose @get: NotBlank var languageCode: String?,
        @Expose @get: NotBlank var name: String = ""


) {
        @ManyToOne(fetch = FetchType.EAGER, optional = false)
        @JoinColumn(name = "exerciseDeviceId", nullable = false)
        @JsonIgnore
        @Contextual
        val exerciseDevice: ExerciseDevice? = null

}
